개발 Q&A

제목 웹 ERP개발이 가능할까요?
카테고리 PHP
글쓴이 미스힐링 작성시각 2020/02/12 10:41:57
댓글 : 6 추천 : 0 스크랩 : 0 조회수 : 1084   RSS

안녕하세요~~하드코딩으로 PHP개발을 하고 있는 웹프로그래머 입니다

 

이번에 회사에서 PHP로 ERP UI형식의 웹을 개발하려고 하고 있습니다.

 

보통 구글에 웹 ERP라고 검색해서 나오는 이미지들 UI 생각하시면 될것 같습니다.

 

기본틀은 게시판이지만 무수히 많은 입력값 버튼과 퍼포먼스가 들어가있는 리스트들이 구성될것 같습니다.

 

상단 메뉴바 밑 하단 메뉴바 화면 프레임 분할 등등

 

 

보통 프로그램 개발시 워낙 변칙적인 변화가 많다보니 하드코딩을 많이 선호했었는데

타 프로그래머분들과의 협업을 위해 이번에 코드이그나이터를 도입해보려고 하는데

위와 같은 프로그램 개발이나 안드로이드 어플 api 개발등할때도 충분히 사용이 가능할까요?? 

 

고수님들의 조언 구합니다 ㅜㅜ

 

추가로 이번에 설치하다보니 코드이그나이터4버전을 설치하고자 하는데 안정화가 많이 되어있는지 궁금하고

 

php 7.2가 권장사양이던데 혹시 7.3도 문제없이 잘돌아가고 있는건지 궁금합니다.. 

 

 다음글 hhvm 망했나요?? (3)
 이전글 공공데이터포털 api정보 이용해보신 선배님계신가요? (7)

댓글

한대승(불의회상) / 2020/02/12 11:02:04 / 추천 1

ERP, API 모두 개발 가능합니다.

코드이그나이터 버전4 RC4가 2월 6일 출시되었습니다.

코드이그나이터 버전4 정식버전은 2월 24일 출시 예정입니다.

거의 버그 리포트가 없는걸 보면 프로젝트에 적용하셔서 개발 진행하셔도 될 것같습니다.

단, DB는 mysql이나 postgre만 지원하므로 참고하십시오.

 

미스힐링 / 2020/02/12 11:11:40 / 추천 0

한대승님 조언 감사드립니다!!

답변보고 궁금한점이 1가지 생겨서 문의드립니다!!

mysql만 지원 가능하다고 하셨는데.. 제가 리눅스 centOS 7 사용중이구요

현재 mariaDB 10.3 버전이 설치되어있는데 코드이그나이터 4버전대에 호환이 가능할까요? ㅜㅜ

포포탄 / 2020/02/12 11:40:33 / 추천 0

현재 rc3 버전 + 마리아디비 연동하여 개인 프로젝트 진행중인데 문제 없습니다.

엑티브쿼리도 안되는 경우는 거의 없었습니다.

os는 큰 문제 안 될 것이구요.

변종원(웅파) / 2020/02/12 13:09:12 / 추천 0

요청이 많은 api는 프레임워크로 만들면 서버 리소스가 많이 사용됩니다. 전 주로 어드민용 api에 ci를 사용하고 대외용은 클래스로만 구성해서 사용중입니다.

ci로 어드민용 api를 구성하고 프론토는 자바스크립트 프레임워크 사용하여 서비스. ^^

프레드윤 / 2020/02/22 00:56:43 / 추천 0

ci 3는 좀 문제가 많은것같아요  여태까지 써봤는데.. 쿼리 빌더를 이용해서 쓰는데 자꾸 메모리 초과 당하고.. 그리고 hmvc 패턴에서 잔에러도 있고요

4는 써본적 없지만 이게 좀 괜찮지 않을까 생각들어요 (물론 제가 독학으로 하는거라서 아직 해결 방법을 모른거 일수도있고 개인적인 소견으로 얘기 한거에요)

변종원(웅파) / 2020/02/24 10:02:06 / 추천 0
프레드윤/ 질문에 답변 드렸지만 일반적으로 발생하는 상황이 아닙니다. 일부의 상황으로 전체를 판단하는 우를 범하지 않았으면 합니다. ^^;